Package org.flowable.common.engine.api.delegate.event

# Interface FlowableEngineEvent

All Superinterfaces:
  `FlowableEvent`

All Known Subinterfaces:
  `FlowableActivityCancelledEvent`, `FlowableActivityEvent`, `FlowableCancelledEvent`, `FlowableCaseEndedEvent`, `FlowableCaseStageEndedEvent`, `FlowableCaseStageStartedEvent`, `FlowableCaseStartedEvent`, `FlowableConditionalEvent`, `FlowableEngineEntityEvent`, `FlowableErrorEvent`, `FlowableEscalationEvent`, `FlowableMessageEvent`, `FlowableMultiInstanceActivityCancelledEvent`, `FlowableMultiInstanceActivityCompletedEvent`, `FlowableMultiInstanceActivityEvent`, `FlowableProcessEngineEvent`, `FlowableSequenceFlowTakenEvent`, `FlowableSignalEvent`, `FlowableVariableEvent`

All Known Implementing Classes:
  `FlowableActivityCancelledEventImpl`, `FlowableActivityEventImpl`, `FlowableConditionalEventImpl`, `org.flowable.common.engine.impl.event.FlowableEngineEventImpl`, `FlowableEntityEventImpl`, `FlowableEntityExceptionEventImpl`, `FlowableEntityWithVariablesEventImpl`, `FlowableErrorEventImpl`, `FlowableEscalationEventImpl`, `FlowableJobRescheduledEventImpl`, `FlowableMessageEventImpl`, `FlowableMultiInstanceActivityCancelledEventImpl`, `FlowableMultiInstanceActivityCompletedEventImpl`, `FlowableMultiInstanceActivityEventImpl`, `FlowableProcessCancelledEventImpl`, `FlowableProcessEventImpl`, `FlowableProcessStartedEventImpl`, `FlowableProcessTerminatedEventImpl`, `FlowableSequenceFlowTakenEventImpl`, `FlowableSignalEventImpl`, `FlowableVariableEventImpl`

public interface FlowableEngineEvent extends FlowableEvent

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getExecutionId()`
  `String`
  `getProcessDefinitionId()`
  `String`
  `getProcessInstanceId()`
  `String`
  `getScopeDefinitionId()`
  The scope definition id of the entity associated with this event.
  `String`
  `getScopeId()`
  The scope id of the entity associated with this event.
  `String`
  `getScopeType()`
  The scope type of the entity associated with this event.
  `String`
  `getSubScopeId()`
  The sub scope id of the entity associated with this event.

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Method Details

  - ### getExecutionId

    String getExecutionId()
    Returns:
      the id of the execution this event is associated with. Returns null, if the event was not dispatched from within an active execution.

  - ### getProcessInstanceId

    String getProcessInstanceId()
    Returns:
      the id of the process instance this event is associated with. Returns null, if the event was not dispatched from within an active execution.

  - ### getProcessDefinitionId

    String getProcessDefinitionId()
    Returns:
      the id of the process definition this event is associated with. Returns null, if the event was not dispatched from within an active execution.

  - ### getScopeType

    String getScopeType()
    The scope type of the entity associated with this event.

  - ### getScopeId

    String getScopeId()
    The scope id of the entity associated with this event.

  - ### getSubScopeId

    String getSubScopeId()
    The sub scope id of the entity associated with this event.

  - ### getScopeDefinitionId

    String getScopeDefinitionId()
    The scope definition id of the entity associated with this event.